"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.paginateListChannelGroups = void 0;
const ListChannelGroupsCommand_1 = require("../commands/ListChannelGroupsCommand");
const MediaPackageV2Client_1 = require("../MediaPackageV2Client");
const makePagedClientRequest = async (client, input, ...args) => {
    return await client.send(new ListChannelGroupsCommand_1.ListChannelGroupsCommand(input), ...args);
};
async function* paginateListChannelGroups(config, input, ...additionalArguments) {
    let token = config.startingToken || undefined;
    let hasNext = true;
    let page;
    while (hasNext) {
        input.NextToken = token;
        input["MaxResults"] = config.pageSize;
        if (config.client instanceof MediaPackageV2Client_1.MediaPackageV2Client) {
            page = await makePagedClientRequest(config.client, input, ...additionalArguments);
        }
        else {
            throw new Error("Invalid client, expected MediaPackageV2 | MediaPackageV2Client");
        }
        yield page;
        const prevToken = token;
        token = page.NextToken;
        hasNext = !!(token && (!config.stopOnSameToken || token !== prevToken));
    }
    return undefined;
}
exports.paginateListChannelGroups = paginateListChannelGroups;
