import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  DeleteChannelGroupRequest,
  DeleteChannelGroupResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteChannelGroupCommandInput
  extends DeleteChannelGroupRequest {}
export interface DeleteChannelGroupCommandOutput
  extends DeleteChannelGroupResponse,
    __MetadataBearer {}
export declare class DeleteChannelGroupCommand extends $Command<
  DeleteChannelGroupCommandInput,
  DeleteChannelGroupCommandOutput,
  MediaPackageV2ClientResolvedConfig
> {
  readonly input: DeleteChannelGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteChannelGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: MediaPackageV2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<DeleteChannelGroupCommandInput, DeleteChannelGroupCommandOutput>;
  private serialize;
  private deserialize;
}
